package com.engine.organization.annotation;

import com.engine.organization.enums.LogModuleNameEnum;
import com.engine.organization.enums.OperateTypeEnum;

import java.lang.annotation.*;


@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Log {

    /**
     * 操作类型
     */
    OperateTypeEnum operateType();

    /**
     * 操作说明
     */
    String operateDesc() default "";

    /**
     * 操作模块
     */
    LogModuleNameEnum operateModule() default LogModuleNameEnum.OTHER;
}
